Results 1 to 2 of 2

Thread: Third age don't start

  1. #1

    Default Third age don't start

    Third age mod 3.2 patch don't start to me.
    I have bought medieval 2 and kingdoms in steam.
    I wonder if i need previous versions of TATW...





    Sorry for my english...

  2. #2
    ElvenKind's Avatar Enjoy your life!
    Join Date
    Apr 2012
    Location
    Croatia, Zadar
    Posts
    6,595

    Default Re: Third age don't start

    You need Third Age 3.0 Part 1 and Part 2, and Third Age 3.2 Patch. Here are some instructions for the installation:http://www.twcenter.net/forums/showt...1#post15158788
    American, French, Israeli and British government's ILLEGAL aggression against the Syrian people, without any proof for chemical attacks in Douma, and without waiting for OPCW to conduct their investigation..

    Sons of *******, leave that poor, war torn country in peace.

    If you are a citizen of one of these countries, then DO NOT ask any help from me on these sites, since, in protest against this aggression by your governments, I do not provide assistance/help anymore.

    Let Syria be finally in peace.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •